function udaljenost = distPP(T0, rav)

#{
distPP(T0, rav) daje udaljenost tocke T0 od ravnine rav.
Ravnina moze biti zadana u opcem ili parametarskom obliku.
#}

if isstruct(rav)
  if !(any(rav.vektorU) & any(rav.vektorV))
    disp("Error: vektori koji razapinju ravninu ne smiju biti nulvektori");
    return;
  endif
  nor = cross(rav.vektorU, rav.vektorV);
  if norm(nor) < 1e-15
    disp("Error: vektori koji razapinju ravninu ne smiju biti kolinearni");
    return;
  endif
  D = -dot(nor, rav.tocka);
  udaljenost = abs(dot(nor, T0) + D) / norm(nor);
else
  if !(any(rav(1:3)))
    disp("Error: normala ravnine ne smije biti nulvektor");
    return;
  endif
  udaljenost = abs(dot(rav(1:3), T0) + rav(4)) / norm(rav(1:3));
endif
  
endfunction
