function alpha = kutLL(u, v, mjera = "deg")

#{
kutLL(u,v,mjera="deg") daje kut izmedju pravca 
u zadanoj mjeri 'deg', 'rad' ili 'dms'.
u <- vektor smjera prvog pravca
v <- vektor smjera drugog pravca
#}

rez = acos( abs(dot(u,v)) / (norm(u) * norm(v)) );

switch (mjera)
  case "rad"
    alpha = rez;
  case "deg"
    alpha = rez * 180 / pi;
  case "dms"
    alpha = dms(rez, "rad");
  otherwise
    disp('Error: mjera mora biti "deg", "rad" ili "dms"');
    return;    
endswitch

endfunction