function alpha = kutPL(u, v, mjera = "deg")

#{
kutPL(u,v,mjera="deg") daje kut izmedju ravnine i pravca 
u zadanoj mjeri 'deg', 'rad' ili 'dms'.
u <- normala ravnine
v <- vektor smjera pravca
#}

rez = asin( abs(dot(u,v)) / (norm(u) * norm(v)) );

switch (mjera)
  case "rad"
    alpha = rez;
  case "deg"
    alpha = rez * 180 / pi;
  case "dms"
    alpha = dms(rez, "rad");
  otherwise
    disp('Error: mjera mora biti "deg", "rad" ili "dms"');
    return;    
endswitch

endfunction